Erreurs au lancement d'un projet Android

L’auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonjour,

j’ai besoin, pour mes études, de faire un projet Android en utilisant le SDK et Android Studio.

Afin de tester sur mes propres appareils, qui nécessitaient le SDK 19, j’ai voulu abaisser le SDK minimum, pensant que l’IDE arriverait à régler les configurations pour que cela fonctionne. Mais en fait, non. Des erreurs se sont glissées, apparemment dans les tâches effectuées par Gradle.

Du coup, j’ai remis la configuration du projet comme au début (SDK 25, outils 25, SDK visé 25, SDK minimum 22). Sauf que les erreurs sont toujours là, et je n’arrive pas à trouver d’où elles viennent.

J’aimerais au moins retrouver un projet fonctionnel, et si possible gérant le SDK 19.

Voici les « erreurs » (le panneau graphique indique 66 erreurs, et chaque ligne des arbres est précédée d’une point d’interrogation rouge) :

  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
Executing tasks: [androidDependencies]

Configuration on demand is an incubating feature.
NDK is missing a "platforms" directory.
If you are using NDK, verify the ndk.dir is set to a valid NDK directory.  It is currently set to /home/breizh/Android/Sdk/ndk-bundle.
If you are not using NDK, unset the NDK variable from ANDROID_NDK_HOME or local.properties to remove this warning.

Incremental java compilation is an incubating feature.
:app:androidDependencies
debug
+--- com.android.support:appcompat-v7:25.3.0@aar
|    +--- com.android.support:support-annotations:25.3.0@jar
|    +--- com.android.support:support-v4:25.3.0@aar
|    |    +--- com.android.support:support-compat:25.3.0@aar
|    |    |    \--- com.android.support:support-annotations:25.3.0@jar
|    |    +--- com.android.support:support-media-compat:25.3.0@aar
|    |    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    |    \--- com.android.support:support-compat:25.3.0@aar
|    |    |         \--- com.android.support:support-annotations:25.3.0@jar
|    |    +--- com.android.support:support-core-utils:25.3.0@aar
|    |    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    |    \--- com.android.support:support-compat:25.3.0@aar
|    |    |         \--- com.android.support:support-annotations:25.3.0@jar
|    |    +--- com.android.support:support-core-ui:25.3.0@aar
|    |    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    |    \--- com.android.support:support-compat:25.3.0@aar
|    |    |         \--- com.android.support:support-annotations:25.3.0@jar
|    |    \--- com.android.support:support-fragment:25.3.0@aar
|    |         +--- com.android.support:support-compat:25.3.0@aar
|    |         |    \--- com.android.support:support-annotations:25.3.0@jar
|    |         +--- com.android.support:support-media-compat:25.3.0@aar
|    |         |    +--- com.android.support:support-annotations:25.3.0@jar
|    |         |    \--- com.android.support:support-compat:25.3.0@aar
|    |         |         \--- com.android.support:support-annotations:25.3.0@jar
|    |         +--- com.android.support:support-core-ui:25.3.0@aar
|    |         |    +--- com.android.support:support-annotations:25.3.0@jar
|    |         |    \--- com.android.support:support-compat:25.3.0@aar
|    |         |         \--- com.android.support:support-annotations:25.3.0@jar
|    |         \--- com.android.support:support-core-utils:25.3.0@aar
|    |              +--- com.android.support:support-annotations:25.3.0@jar
|    |              \--- com.android.support:support-compat:25.3.0@aar
|    |                   \--- com.android.support:support-annotations:25.3.0@jar
|    +--- com.android.support:support-vector-drawable:25.3.0@aar
|    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    \--- com.android.support:support-compat:25.3.0@aar
|    |         \--- com.android.support:support-annotations:25.3.0@jar
|    \--- com.android.support:animated-vector-drawable:25.3.0@aar
|         \--- com.android.support:support-vector-drawable:25.3.0@aar
|              +--- com.android.support:support-annotations:25.3.0@jar
|              \--- com.android.support:support-compat:25.3.0@aar
|                   \--- com.android.support:support-annotations:25.3.0@jar
\--- com.android.support.constraint:constraint-layout:1.0.2@aar
     \--- com.android.support.constraint:constraint-layout-solver:1.0.2@jar

debugAndroidTest
\--- com.android.support.test.espresso:espresso-core:2.2.2@aar
     +--- com.squareup:javawriter:2.1.1@jar
     +--- com.android.support.test:rules:0.5@aar
     |    \--- com.android.support.test:runner:0.5@aar
     |         +--- junit:junit:4.12@jar
     |         |    \--- org.hamcrest:hamcrest-core:1.3@jar
     |         \--- com.android.support.test:exposed-instrumentation-api-publish:0.5@aar
     +--- com.android.support.test:runner:0.5@aar
     |    +--- junit:junit:4.12@jar
     |    |    \--- org.hamcrest:hamcrest-core:1.3@jar
     |    \--- com.android.support.test:exposed-instrumentation-api-publish:0.5@aar
     +--- javax.inject:javax.inject:1@jar
     +--- org.hamcrest:hamcrest-library:1.3@jar
     |    \--- org.hamcrest:hamcrest-core:1.3@jar
     +--- com.android.support.test.espresso:espresso-idling-resource:2.2.2@aar
     +--- org.hamcrest:hamcrest-integration:1.3@jar
     |    \--- org.hamcrest:hamcrest-library:1.3@jar
     |         \--- org.hamcrest:hamcrest-core:1.3@jar
     +--- com.google.code.findbugs:jsr305:2.0.1@jar
     \--- javax.annotation:javax.annotation-api:1.2@jar

debugUnitTest
\--- junit:junit:4.12@jar
     \--- org.hamcrest:hamcrest-core:1.3@jar

release
+--- com.android.support:appcompat-v7:25.3.0@aar
|    +--- com.android.support:support-annotations:25.3.0@jar
|    +--- com.android.support:support-v4:25.3.0@aar
|    |    +--- com.android.support:support-compat:25.3.0@aar
|    |    |    \--- com.android.support:support-annotations:25.3.0@jar
|    |    +--- com.android.support:support-media-compat:25.3.0@aar
|    |    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    |    \--- com.android.support:support-compat:25.3.0@aar
|    |    |         \--- com.android.support:support-annotations:25.3.0@jar
|    |    +--- com.android.support:support-core-utils:25.3.0@aar
|    |    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    |    \--- com.android.support:support-compat:25.3.0@aar
|    |    |         \--- com.android.support:support-annotations:25.3.0@jar
|    |    +--- com.android.support:support-core-ui:25.3.0@aar
|    |    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    |    \--- com.android.support:support-compat:25.3.0@aar
|    |    |         \--- com.android.support:support-annotations:25.3.0@jar
|    |    \--- com.android.support:support-fragment:25.3.0@aar
|    |         +--- com.android.support:support-compat:25.3.0@aar
|    |         |    \--- com.android.support:support-annotations:25.3.0@jar
|    |         +--- com.android.support:support-media-compat:25.3.0@aar
|    |         |    +--- com.android.support:support-annotations:25.3.0@jar
|    |         |    \--- com.android.support:support-compat:25.3.0@aar
|    |         |         \--- com.android.support:support-annotations:25.3.0@jar
|    |         +--- com.android.support:support-core-ui:25.3.0@aar
|    |         |    +--- com.android.support:support-annotations:25.3.0@jar
|    |         |    \--- com.android.support:support-compat:25.3.0@aar
|    |         |         \--- com.android.support:support-annotations:25.3.0@jar
|    |         \--- com.android.support:support-core-utils:25.3.0@aar
|    |              +--- com.android.support:support-annotations:25.3.0@jar
|    |              \--- com.android.support:support-compat:25.3.0@aar
|    |                   \--- com.android.support:support-annotations:25.3.0@jar
|    +--- com.android.support:support-vector-drawable:25.3.0@aar
|    |    +--- com.android.support:support-annotations:25.3.0@jar
|    |    \--- com.android.support:support-compat:25.3.0@aar
|    |         \--- com.android.support:support-annotations:25.3.0@jar
|    \--- com.android.support:animated-vector-drawable:25.3.0@aar
|         \--- com.android.support:support-vector-drawable:25.3.0@aar
|              +--- com.android.support:support-annotations:25.3.0@jar
|              \--- com.android.support:support-compat:25.3.0@aar
|                   \--- com.android.support:support-annotations:25.3.0@jar
\--- com.android.support.constraint:constraint-layout:1.0.2@aar
     \--- com.android.support.constraint:constraint-layout-solver:1.0.2@jar

releaseUnitTest
\--- junit:junit:4.12@jar
     \--- org.hamcrest:hamcrest-core:1.3@jar

BUILD SUCCESSFUL

Total time: 0.355 secs

Le projet compile visiblement (build / rebuild / make project etc fonctionnent), mais cette sortie apparaît lorsque que j’essaie de lancer le projet. L’émulateur ne se lance même pas. Et je ne peux pas tester sur mon appareil, puisque je suis revenu à la config d’origine qui demande un SDK minimum plus « élevé ».

Si vous avez des idées…

Breizh.

Édité par Breizh

Breizh eo ma bro, hag ihuel eo ma c’halon geti. Da viken. — L’oiseau imaginaire : ZzxŷxzZ

+0 -0
Auteur du sujet

Étant donné que j’avais besoin d’avancer ce projet au plus vite, je me suis contenté de récupérer le code et de refaire un projet de zéro.

Breizh eo ma bro, hag ihuel eo ma c’halon geti. Da viken. — L’oiseau imaginaire : ZzxŷxzZ

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte